Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 211796 - Improve About box to show if IDE is up-to-date to given state
Improve About box to show if IDE is up-to-date to given state
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: UI
7.2
PC Windows 7
: P1 with 1 vote (vote)
: 7.2
Assigned To: Jiri Rechtacek
issues@ide
issue_reviewed
: API
Depends on: 211741 212218
Blocks: 211076
  Show dependency treegraph
 
Reported: 2012-04-26 15:21 UTC by Petr Somol
Modified: 2012-05-18 08:17 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-04-26 15:21:00 UTC
Assuming the new NB version element is added in UC DTD, the NB About dialog should be improved to display information about the state of installed updates.

Currently the About box shows an information like:

Product Version: NetBeans IDE 7.1 (Build 201112012200)
Java: 1.6.0_29; Java HotSpot(TM) 64-Bit Server VM 20.4-b02
System: Windows 7 version 6.1 running on amd64; Cp1250; cs_CZ (nb)
User directory: C:\Users\psomol\.netbeans\7.1
Cache directory: C:\Users\psomol\.netbeans\7.1\var\cache

I propose to extend this description depending on the state of the present NB installation as follows:

1) if the UC version is the same as the installed NB version (no updates exist yet for the fresh new version), the text should remain as it is now

2) if the UC version (let it be, e.g., "7.1 patch 1") is newer than the installed NB version and all updates from the UC catalog have been already applied to the installed NB, the text should be extended by the second line as follows:

Product Version: NetBeans IDE 7.1 (Build 201112012200)
Updates: NetBeans IDE is updated to version 7.1 patch 1
Java: 1.6.0_29; Java HotSpot(TM) 64-Bit Server VM 20.4-b02
System: Windows 7 version 6.1 running on amd64; Cp1250; cs_CZ (nb)
User directory: C:\Users\psomol\.netbeans\7.1
Cache directory: C:\Users\psomol\.netbeans\7.1\var\cache

where "Updates:" is set in bold similarly to the other lines above and below.
The string "7.1 patch 1" in the second line is optionally (if applicable) a hyperlink to the web page with a summary of changes and fixes.

3) if the UC version (let it be, e.g., "7.1 patch 1") is newer than the installed NB version but not all updates from the UC catalog have been applied to the installed NB yet, the added second line should look as follows:

Product Version: NetBeans IDE 7.1 (Build 201112012200)
Updates: Updates available to version 7.1 patch 1
Java: 1.6.0_29; Java HotSpot(TM) 64-Bit Server VM 20.4-b02
System: Windows 7 version 6.1 running on amd64; Cp1250; cs_CZ (nb)
User directory: C:\Users\psomol\.netbeans\7.1
Cache directory: C:\Users\psomol\.netbeans\7.1\var\cache

where the string "Updates available" is a hyperlink, that effectively does the same as menu Help->Check for Updates. The string "7.1 patch 1" is optionally (if applicable) a hyperlink to the web page with a summary of changes and fixes.
Comment 1 Jiri Rechtacek 2012-05-09 22:11:06 UTC
core-main/rev/4aeb92c7a5a0 on autoupdate_211777 branch
Comment 2 Quality Engineering 2012-05-17 15:40:51 UTC
Integrated into 'main-golden', will be available in build *201205170950* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4aeb92c7a5a0
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #211796: Improve About box to show if IDE is up-to-date to given state


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo